Index: trunk/source/processes/transportation/include/G4CoupledTransportation.hh
===================================================================
--- trunk/source/processes/transportation/include/G4CoupledTransportation.hh	(revision 819)
+++ trunk/source/processes/transportation/include/G4CoupledTransportation.hh	(revision 963)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4CoupledTransportation.hh,v 1.6 2007/05/29 13:50:14 japost Exp $
-// GEANT4 tag $Name:  $
+// $Id: G4CoupledTransportation.hh,v 1.7 2008/11/21 18:27:42 japost Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
@@ -61,4 +61,5 @@
 #include "G4Step.hh"
 #include "G4ParticleChangeForTransport.hh"
+class G4SafetyHelper; 
 
 class G4CoupledTransportation : public G4VProcess 
@@ -216,4 +217,6 @@
      G4double fMaxEnergyKilled;
 
+     G4SafetyHelper* fpSafetyHelper;  // To pass it the safety value obtained
+
   // Verbosity 
      G4int    fVerboseLevel;
Index: trunk/source/processes/transportation/include/G4CoupledTransportation.icc
===================================================================
--- trunk/source/processes/transportation/include/G4CoupledTransportation.icc	(revision 819)
+++ trunk/source/processes/transportation/include/G4CoupledTransportation.icc	(revision 963)
@@ -26,5 +26,5 @@
 //
 // $Id: G4CoupledTransportation.icc,v 1.4 2007/05/29 13:50:15 japost Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 
Index: trunk/source/processes/transportation/include/G4NeutronKiller.hh
===================================================================
--- trunk/source/processes/transportation/include/G4NeutronKiller.hh	(revision 819)
+++ trunk/source/processes/transportation/include/G4NeutronKiller.hh	(revision 963)
@@ -25,5 +25,5 @@
 //
 // $Id: G4NeutronKiller.hh,v 1.2 2007/06/01 07:53:26 ahoward Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/processes/transportation/include/G4NeutronKillerMessenger.hh
===================================================================
--- trunk/source/processes/transportation/include/G4NeutronKillerMessenger.hh	(revision 819)
+++ trunk/source/processes/transportation/include/G4NeutronKillerMessenger.hh	(revision 963)
@@ -25,5 +25,5 @@
 //
 // $Id: G4NeutronKillerMessenger.hh,v 1.2 2007/06/01 07:53:26 ahoward Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/processes/transportation/include/G4StepLimiter.hh
===================================================================
--- trunk/source/processes/transportation/include/G4StepLimiter.hh	(revision 819)
+++ trunk/source/processes/transportation/include/G4StepLimiter.hh	(revision 963)
@@ -26,5 +26,5 @@
 //
 // $Id: G4StepLimiter.hh,v 1.4 2007/06/01 07:53:26 ahoward Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // class description
Index: trunk/source/processes/transportation/include/G4TrackTerminator.hh
===================================================================
--- trunk/source/processes/transportation/include/G4TrackTerminator.hh	(revision 819)
+++ trunk/source/processes/transportation/include/G4TrackTerminator.hh	(revision 963)
@@ -26,5 +26,5 @@
 //
 // $Id: G4TrackTerminator.hh,v 1.4 2007/06/01 07:53:26 ahoward Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/processes/transportation/include/G4Transportation.hh
===================================================================
--- trunk/source/processes/transportation/include/G4Transportation.hh	(revision 819)
+++ trunk/source/processes/transportation/include/G4Transportation.hh	(revision 963)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Transportation.hh,v 1.16 2007/11/08 17:59:38 japost Exp $
-// GEANT4 tag $Name: geant4-09-01-patch-02 $
+// $Id: G4Transportation.hh,v 1.17 2007/11/09 15:39:20 japost Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
@@ -55,4 +55,5 @@
 #include "G4Step.hh"
 #include "G4ParticleChangeForTransport.hh"
+class G4SafetyHelper; 
 
 class G4Transportation : public G4VProcess 
@@ -205,4 +206,6 @@
      G4bool   fShortStepOptimisation; 
 
+     G4SafetyHelper* fpSafetyHelper;  // To pass it the safety value obtained
+
   // Verbosity 
      G4int    fVerboseLevel;
Index: trunk/source/processes/transportation/include/G4Transportation.icc
===================================================================
--- trunk/source/processes/transportation/include/G4Transportation.icc	(revision 819)
+++ trunk/source/processes/transportation/include/G4Transportation.icc	(revision 963)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Transportation.icc,v 1.11 2007/11/08 17:59:52 japost Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 
Index: trunk/source/processes/transportation/include/G4UserSpecialCuts.hh
===================================================================
--- trunk/source/processes/transportation/include/G4UserSpecialCuts.hh	(revision 819)
+++ trunk/source/processes/transportation/include/G4UserSpecialCuts.hh	(revision 963)
@@ -25,5 +25,5 @@
 //
 // $Id: G4UserSpecialCuts.hh,v 1.11 2007/06/01 07:53:26 ahoward Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // class description
Index: trunk/source/processes/transportation/include/G4VTrackTerminator.hh
===================================================================
--- trunk/source/processes/transportation/include/G4VTrackTerminator.hh	(revision 819)
+++ trunk/source/processes/transportation/include/G4VTrackTerminator.hh	(revision 963)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VTrackTerminator.hh,v 1.8 2007/06/01 07:53:26 ahoward Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // ----------------------------------------------------------------------
